== Why is this an issue?

:func_name: function

include::../description.adoc[]

[source,go,diff-id=1,diff-type=noncompliant]
----
func fun1() (x, y int) {
  a, b := 1, 2
  b, a = a, b
  return a, b
}

func fun2() (x, y int) {  // Noncompliant; duplicates fun1
  a, b := 1, 2
  b, a = a, b
  return a, b
}
----

include::../inter.adoc[]

[source,go,diff-id=1,diff-type=compliant]
----
func fun1() (x, y int) {
  a, b := 1, 2
  b, a = a, b
  return a, b
}

func fun2() (x, y int) {  // Intent is clear
  return fun1()
}
----

=== Exceptions

Functions with fewer than 2 statements are ignored.

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

include::../highlighting.adoc[]

'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
